package com.red.circle.other.inner.enums.sys;

/**
 * 推送类型
 *
 * @author pengliang
 * @since 2020/3/4 14:27
 */
public enum MessageCopywritingTypeEnum {

  /**
   * 类型
   */
  PUSH("推送"),
  GREET("打招呼");

  private final String desc;

  MessageCopywritingTypeEnum(String desc) {
    this.desc = desc;
  }

  public static String getDesc(String name) {
    try {
      return MessageCopywritingTypeEnum.valueOf(name).desc;
    } catch (Exception ignore) {
      return "";
    }
  }

  public String getDesc() {
    return desc;
  }
}
